<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This is class is for all HTML page attributes.
 *
 * @package    lnApp
 * @category   lnApp/Helpers
 * @author     Deon George
 * @copyright  (c) 2009-2013 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
abstract class lnApp_Meta {
	private $_data = array();
	private $_array_keys = array();

	public function __get($key) {
		if (in_array($key,$this->_array_keys) && empty($this->_data[$key]))
				return array();

		if (empty($this->_data[$key]))
			return NULL;
		else
			return $this->_data[$key];
	}

	public function __set($key,$value) {
		if (in_array($key,$this->_array_keys) && ! is_array($value))
			throw new Kohana_Exception('Key :key must be an array',array(':key'=>$key));

		$this->_data[$key] = $value;
	}
}
?>
